org.eclipse.actf.util.win32.keyhook

## Interface ISendEvent

    public interface ISendEvent

ISendEvent interface defines the methods to send window events.

### Method Summary

Methods
`long` `findWindow(String className, String windowName)`
`boolean` `focusWindow(long hwnd)`
`boolean` `postKey(int vkey, boolean isUp)` This method send a key event to the focused window.
`boolean` `postKeyToWindow(long hwnd, int vkey, boolean isUp)`
`boolean` `postMouse(int x, int y, boolean isUp)` This method send a mouse event to the focuesd window.
`boolean` `postMouseToWindow(long hwnd, int x, int y, boolean isUp)`

### Method Detail

#### postKey

    boolean postKey(int vkey,
                  boolean isUp)

This method send a key event to the focused window.

Parameters:
  `vkey` - the virtual key code to be sent.
  `isUp` - the key status of up/down.
Returns:
  if this function is succeeded then it return true.

#### postMouse

    boolean postMouse(int x,
                    int y,
                    boolean isUp)

This method send a mouse event to the focuesd window.

Parameters:
  `x` - The x position of the mouse cursor to be set.
  `y` - The y position of the mouse cursor to be set.
  `isUp` - The mouse status of up/down.
Returns:
  If this function is succeeded then it return true.

#### focusWindow

    boolean focusWindow(long hwnd)

Parameters:
  `hwnd` - The window handle to be focused.
Returns:
  If this function is succeeded then it return true.

#### postKeyToWindow

    boolean postKeyToWindow(long hwnd,
                          int vkey,
                          boolean isUp)

Parameters:
  `hwnd` - The window handle to which the key event will be sent.
  `vkey` - The virtual key code to be sent.
  `isUp` - The key status of up/down.
Returns:
  If this function is succeeded then it return true.

#### postMouseToWindow

    boolean postMouseToWindow(long hwnd,
                            int x,
                            int y,
                            boolean isUp)

Parameters:
  `hwnd` - The window handle to which the mouse event will be sent.
  `x` - The x position of the mouse cursor to be set.
  `y` - The y position of the mouse cursor to be set.
  `isUp` - The mouse status of up/down.
Returns:
  If this function is succeeded then it return true.

#### findWindow

    long findWindow(String className,
                  String windowName)

Parameters:
  `className` - The class name of the window to be searched.
  `windowName` - The window name of the window to be searched.
Returns:
  If this function is succeeded then it return true.